## repetier-host 0.85%2Bdfsg

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%Repetier-Host-$1.tar.gz%,dversionmangle=s/\+dfsg\d*$//" \
   https://github.com/repetier/Repetier-Host/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian
