## repetier-host 0.85+dfsg

=== debian/changelog ===
repetier-host (0.85+dfsg-6) unstable; urgency=low

  * Drop Depends on cli-common (Closes: #1112156)
    - debian/control: use dh_makeclilibs before dh_installdeb
    - copy dh_clideps to debian subdirectory

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 01 Dec 2025 14:12:52 +0000

repetier-host (0.85+dfsg-5) unstable; urgency=low

  * Drop Depends on libmono-addins-gui0.2-cil. (Closes: #1050585)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 27 Aug 2023 21:20:00 +0800

repetier-host (0.85+dfsg-4) unstable; urgency=low

  * Source-only upload for migration to testing.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 25 Aug 2023 16:36:23 +0800

repetier-host (0.85+dfsg-3) unstable; urgency=low

  * Re-introduce into Debian because it is still useful. (Closes: 1042739)
  * Remove libmono-addins-msbuild-cil-dev from Build-Depends
  * Bump debhelper version to 12

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 09 Aug 2023 08:24:16 +0800

repetier-host (0.85+dfsg-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 16:36:44 +0100

repetier-host (0.85+dfsg-2) unstable; urgency=low

  * debian/copyright: add missing copyright holders (Closes: #857492)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 17 Mar 2017 21:11:33 +0800

repetier-host (0.85+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #714911)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 11 Mar 2017 16:57:48 +0800
