=== debian/control ===
Source: repetier-host
Section: utils
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper-compat (= 12),
               docbook-xsl,
               icoutils,
               libmono-cil-dev,
               libopentk-cil-dev,
               libxml-dom-perl,
               mono-devel (>= 6.14.1+ds-6) | cli-common-dev,
               mono-xbuild,
               xsltproc
Standards-Version: 3.9.8
Homepage: http://www.repetier.com

Package: repetier-host
Architecture: all
Depends: ${cli:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: host controller for RepRap style 3D printers
 Repetier-Host allows you to perform all the steps needed to 3D-print models.
 It supplies the following features:
   - arranging model(s) on a virtual print plate
   - slicing the model and computing paths for printer head
   - checking the g-code for errors
   - sending the g-code to printer
   - monitoring the printer
